onEvent('recipes', (event) => {
    event.remove({output: 'forbidden_arcanus:spectral_eye_amulet'})
    event.remove({output: 'forbidden_arcanus:eternal_stella'})
    event.remove({output: 'forbidden_arcanus:quantum_catcher'})
    event.remove({output: 'forbidden_arcanus:aureal_bottle'})
    event.remove({output: 'forbidden_arcanus:iron_chain'})

    event.recipes.mekanismEnriching('forbidden_arcanus:arcane_gold_nugget', 'forbidden_arcanus:golden_orchid_seeds')
    event.recipes.mekanismEnriching('forbidden_arcanus:arcane_crystal', 'minecraft:sea_lantern')
    event.recipes.mekanismCrushing('mysticalagradditions:dragon_scale', 'minecraft:dragon_head')

  event.shaped('forbidden_arcanus:eternal_stella', ['ABA', 'BCB', 'ABA'], {
    A: 'atmadditions:atm_star_shard',
    B: 'forbidden_arcanus:xpetrified_orb',
    C: 'forbidden_arcanus:stellarite_piece'
  }).id('kubejs:forbidden_arcanus/eternal_stella')

  event.shaped('3x forbidden_arcanus:iron_chain', ['  A', ' B ', 'A  '], {
    A: 'minecraft:iron_nugget',
    B: 'minecraft:iron_ingot'
  }).id('kubejs:forbidden_arcanus/iron_chain')

  event.shaped('forbidden_arcanus:arcane_darkstone_pedestal', [' A ', 'BCB', ' D '], {
    A: 'forbidden_arcanus:arcane_gold_ingot',
    B: 'forbidden_arcanus:arcane_crystal_dust',
    C: 'forbidden_arcanus:darkstone_pedestal',
    D: 'forbidden_arcanus:polished_darkstone'
  }).id('kubejs:forbidden_arcanus/arcane_darkstone_pedestal')

  event.shaped('forbidden_arcanus:dark_rune', [' A ', 'ABA', ' A '], {
    A: 'forbidden_arcanus:corrupti_dust',
    B: 'forbidden_arcanus:rune'
  }).id('kubejs:forbidden_arcanus/dark_rune')

  event.shaped('forbidden_arcanus:rune', [' A ', 'ABA', ' A '], {
    A: 'forbidden_arcanus:mundabitur_dust',
    B: 'forbidden_arcanus:arcane_crystal'
  }).id('kubejs:forbidden_arcanus/rune')

  event.shaped('forbidden_arcanus:aureal_bottle', ['AAA', 'ABA', 'AAA'], {
    A: 'forbidden_arcanus:arcane_crystal_dust',
    B: 'minecraft:glass_bottle'
  }).id('kubejs:forbidden_arcanus/aureal_bottle')

  event.recipes.extendedcrafting.shaped_table('forbidden_arcanus:arcane_crystal_obelisk', [' A ', ' A ', ' B '], {
    A: 'forbidden_arcanus:arcane_crystal_block',
    B: 'forbidden_arcanus:chiseled_arcane_polished_darkstone'
  }).id('kubejs:forbidden_arcanus/arcane_crystal_obelisk')
  
event.recipes.extendedcrafting.shaped_table(Item.of('forbidden_arcanus:pixie'), ['AAA', 'BCB', 'AAA'], {
    A: 'forbidden_arcanus:arcane_crystal_dust_speck',
    B: 'forbidden_arcanus:silver_dragon_scale',
    C: 'forbidden_arcanus:soul'
  }).id('kubejs:forbidden_arcanus/pixie')

  event.recipes.extendedcrafting.shaped_table('forbidden_arcanus:runic_tenebris_core', ['ABA', 'CDC', 'AEA'], {
    A: 'forbidden_arcanus:arcane_gold_ingot',
    B: 'forbidden_arcanus:pixie',
    C: 'forbidden_arcanus:stellarite_piece',
    D: 'forbidden_arcanus:runic_tenebris_frame',
    E: 'forbidden_arcanus:corrupted_pixie'
  }).id('kubejs:forbidden_arcanus/runic_tenebris_core')

  event.recipes.extendedcrafting.shaped_table('forbidden_arcanus:hephaestus_forge', ['ABA', 'CDC', 'EEE'], {
    A: 'forbidden_arcanus:arcane_crystal',
    B: 'forbidden_arcanus:aureal_bottle',
    C: 'forbidden_arcanus:mundabitur_dust',
    D: 'forbidden_arcanus:arcane_darkstone_pedestal',
    E: 'forbidden_arcanus:polished_darkstone'
  }).id('kubejs:forbidden_arcanus/hephaestus_forge')

  event.shaped('8x forbidden_arcanus:darkstone', ['AAA', 'ABA', 'AAA'], {
    A: 'minecraft:stone',
    B: 'forbidden_arcanus:dark_matter'
  }).id('kubejs:forbidden_arcanus/darkstone')

  event.shapeless('1x forbidden_arcanus:pixie_utrem_jar', ['forbidden_arcanus:utrem_jar', 'forbidden_arcanus:pixie'])

  event.shapeless('1x forbidden_arcanus:corrupted_pixie_utrem_jar', ['forbidden_arcanus:utrem_jar', 'forbidden_arcanus:corrupted_pixie'])

  event.shapeless('1x forbidden_arcanus:soul', ['minecraft:soul_sand', 'forbidden_arcanus:aureal_bottle'])

  event.shapeless('9x forbidden_arcanus:arcane_crystal_dust_speck', ['forbidden_arcanus:arcane_crystal_dust'])

})